'''
@Author  :   liujunshen
@Ide     :   vscode
@File    :   peripheral_factory.py
@Time    :   2023/03/29 10:14:50
'''

from device.peripheral.hand.ruishou import RuishouClient
from device.peripheral.hand.fubo_pneumatic_finger import FuboPneumaticFingerClient
from device.peripheral.hand.fubo_mechanical_finger import FuboMechanicalFingerClient


class PeripheralHandFactory():

    def create_client(self, name, init_params=None):
        if name == "ruishou":
            return RuishouClient()
        if name == "fubo_pneumatic_finger":
            return FuboPneumaticFingerClient(init_params)
        if name == "fubo_mechanical_finger":
            return FuboMechanicalFingerClient(init_params)
