'''
@Author  :   liujunshen
@Ide     :   vscode
@File    :   base.py
@Time    :   2023/03/28 16:47:23
'''

from abc import ABC, abstractmethod


class PeripheralHandBase(ABC):
    """机械手外设抽象类"""

    @abstractmethod
    def init(self):
        """初始化"""
        pass

    @abstractmethod
    def start(self):
        """设备操作启动"""
        pass

    @abstractmethod
    def stop(self):
        """设备操作立即停止"""
        pass

    @abstractmethod
    def status(self):
        """返回设备状态"""
        pass

    @abstractmethod
    def close(self):
        """关闭设备连接"""
        pass
