'''
@Author  :   liujunshen
@Ide     :   vscode
@File    :   manager.py
@Time    :   2023/03/29 10:32:02
'''

from device.peripheral.factory import PeripheralHandFactory
from device.peripheral.hand.base import PeripheralHandBase


class PeripheralHandManager(PeripheralHandBase):
    """机械手主入口"""

    def __init__(self, device_name, init_params) -> None:
        peripheral_hand_factory = PeripheralHandFactory()
        self.client = peripheral_hand_factory.create_client(
            device_name, init_params)

    def init(self):
        return self.client.init()

    def start(self, train=None):
        return self.client.start(train)

    def stop(self):
        return self.client.stop()

    def status(self):
        return self.client.status()

    def close(self):
        return self.client.close()
